org.mariadb.jdbc.internal.packet.dao.parameters

## Class ShortParameter

- java.lang.Object
- - org.mariadb.jdbc.internal.packet.dao.parameters.NotLongDataParameter
  - - org.mariadb.jdbc.internal.packet.dao.parameters.ShortParameter

All Implemented Interfaces:
  Cloneable, ParameterHolder

    public class ShortParameter
    extends NotLongDataParameter
    implements Cloneable

### Constructor Summary

Constructors
Constructor and Description
`ShortParameter(short value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getApproximateTextProtocolLength()`
`MariaDbType` `getMariaDbType()`
`String` `toString()`
`void` `writeBinary(PacketOutputStream writeBuffer)`
`void` `writeTo(PacketOutputStream os)` Write parameter value.
`void` `writeUnsafeTo(PacketOutputStream os)`

### Methods inherited from class org.mariadb.jdbc.internal.packet.dao.parameters.NotLongDataParameter

`isLongData, isNullData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ShortParameter

    public ShortParameter(short value)

### Method Detail

#### writeTo

    public void writeTo(PacketOutputStream os)

Description copied from interface: `ParameterHolder`
Write parameter value.

Specified by:
  `writeTo` in interface `ParameterHolder`
Parameters:
  `os` - the stream to write to

#### writeUnsafeTo

    public void writeUnsafeTo(PacketOutputStream os)

Specified by:
  `writeUnsafeTo` in interface `ParameterHolder`

#### getApproximateTextProtocolLength

    public long getApproximateTextProtocolLength()
                                          throws IOException

Specified by:
  `getApproximateTextProtocolLength` in interface `ParameterHolder`
Throws:
  `IOException`

#### writeBinary

    public void writeBinary(PacketOutputStream writeBuffer)

Specified by:
  `writeBinary` in class `NotLongDataParameter`

#### getMariaDbType

    public MariaDbType getMariaDbType()

Specified by:
  `getMariaDbType` in interface `ParameterHolder`

#### toString

    public String toString()

Specified by:
  `toString` in interface `ParameterHolder`
Overrides:
  `toString` in class `Object`